<?php


namespace OTP\Objects;

if (defined("\101\x42\x53\x50\x41\x54\x48")) {
    goto qI;
}
die;
qI:
class NotificationSettings
{
    public $sendSMS;
    public $sendEmail;
    public $phoneNumber;
    public $fromEmail;
    public $fromName;
    public $toEmail;
    public $toName;
    public $subject;
    public $bccEmail;
    public $message;
    public function __construct()
    {
        if (func_num_args() < 4) {
            goto fr;
        }
        $this->createEmailNotificationSettings(func_get_arg(0), func_get_arg(1), func_get_arg(2), func_get_arg(3), func_get_arg(4));
        goto AP;
        fr:
        $this->createSMSNotificationSettings(func_get_arg(0), func_get_arg(1));
        AP:
    }
    public function createSMSNotificationSettings($YN, $Kl)
    {
        $this->sendSMS = TRUE;
        $this->phoneNumber = $YN;
        $this->message = $Kl;
    }
    public function createEmailNotificationSettings($YQ, $TE, $RC, $Um, $Kl)
    {
        $this->sendEmail = TRUE;
        $this->fromEmail = $YQ;
        $this->fromName = $TE;
        $this->toEmail = $RC;
        $this->toName = $RC;
        $this->subject = $Um;
        $this->bccEmail = '';
        $this->message = $Kl;
    }
}
